





t0 = gps('oct 31 2018 17:09:00 utc');
o3blonglockstart = 1261596558;
o3blonglockend = 1262181558;

o3bstart = gps('nov 1 2019 00:00:00 utc');
o3bend = gps('mar 27 2020 17:00:00 utc');

o3breakadsstart = gps('oct 1 2019 00:00:00 utc') + 41708*60;
o3breakadsend = gps('nov 1 2019 00:00:00 utc');

dur = 20000;
channel = {
%     'L1:AOS-ETMX_BAFFLEPD_1_VOLTS',...
    'L1:IMC-PWR_IN_OUTPUT'; ...
    'L1:LSC-PRC_GAIN_MON'; ...
%     'L1:SYS-MOTION_Y_SHUTTER_A_STATE'; ... ETMY Green shutter 0-open, 1-closed
%     'L1:SUS-ITMY_L2_DRIVEALIGN_P2L_GAIN'; ...
%     'L1:SUS-ITMY_L2_DRIVEALIGN_Y2L_GAIN'; ...
%     'L1:SUS-ETMY_L2_DRIVEALIGN_P2L_GAIN'; ...
%     'L1:SUS-ETMY_L2_DRIVEALIGN_Y2L_GAIN'; ...
    'L1:ASC-ADS_PIT3_DEMOD_I_INMON'; ... ITMX, ETMX PIT sensing
    'L1:ASC-ADS_YAW3_DEMOD_I_INMON'; ... ITMX, ETMX YAW sensing
    'L1:ASC-ADS_PIT4_DEMOD_I_INMON'; ... ITMY, ETMY PIT sensing
    'L1:ASC-ADS_YAW4_DEMOD_I_INMON'; ... ITMY, ETMY YAW sensing
    'L1:CAM-ITMX_EXP'; ...
    'L1:CAM-ITMX_X'; ...
    'L1:CAM-ITMX_Y'; ...
    'L1:CAM-ETMX_EXP'; ...
    'L1:CAM-ETMX_X'; ...
    'L1:CAM-ETMX_Y'; ...
    'L1:CAM-ITMY_EXP'; ...
    'L1:CAM-ITMY_X'; ...
    'L1:CAM-ITMY_Y'; ...
    'L1:CAM-ETMY_EXP'; ...
    'L1:CAM-ETMY_X'; ...
    'L1:CAM-ETMY_Y'};


q = cdsgetdata(channel, 'raw', 1336500498, 90);

return


% A2L calibrations
% ETMY fit from https://alog.ligo-la.caltech.edu/aLOG/index.php?callRep=54257
A = [-3 1; -4.3 1; -2.3 1];
b = 1e-2*[1.7; 2.25; 1.35];
ETMYp2y = (A'*A)^(-1)*A'*b;

A = [-7 1; -2.8 1; -1.2 1; 0.8 1];
b = 1e-2*[-2.5; -1; -0.4; 0.3];
ETMYy2x = (A'*A)^(-1)*A'*b;

% ITMY is assumed to be the same?
ITMYp2y = ETMYp2y;
ITMYy2x = ETMYy2x;
    
posIX = [mean(ITMYY2L(sec)) 1]*ITMYy2x;
    
    

% 
% etmxpd1 = [];
% prg = [];
% itmxexp = [];
% itmxx = [];
% itmxy = [];
% etmxx = [];
% etmxy = [];
% start = [];
% rate = [];
% dur = [];




etmxpd1 = [etmxpd1, q(1).data];
prg = [prg, q(2).data];
itmxexp = [itmxexp, q(3).data];
itmxx = [itmxx, q(4).data];
itmxy = [itmxy, q(5).data];
etmxx = [etmxx, q(6).data];
etmxy = [etmxy, q(7).data];
start = [start, q(1).start];
rate = [rate, q(1).rate];
dur = [dur, q(1).duration];


%{
'L1:ASC-ADS_OUT_PIT_MTRX_7_1', ... ITMX output matrix
    'L1:ASC-ADS_OUT_PIT_MTRX_7_2', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_3', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_4', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_5', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_6', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_7', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_8', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_9', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_10', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_11', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_12', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_13', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_14', ...
    'L1:ASC-ADS_OUT_PIT_MTRX_7_15', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_1', ... 
    'L1:ASC-ADS_OUT_YAW_MTRX_7_2', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_3', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_4', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_5', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_6', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_7', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_8', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_9', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_10', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_11', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_12', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_13', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_14', ...
    'L1:ASC-ADS_OUT_YAW_MTRX_7_15', ...



%}

